Subject: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Aug 2015 16:51:35 +0300

> Date: Fri, 21 Aug 2015 06:21:18 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > The order is unspecified, which means the caller should not depend
> > on it.  I don't think there's anything wrong with that; do you?
> 
> Well, it's certainly the prerogative of designers to decide that
> the order is undefined and that users cannot depend on it.  In
> that case, you can close the bug now.
> 
> But as one user I'm disappointed.  I was hoping for a usable
> window order.

It's the order of traversing the window tree depth-first (as described
in the ELisp manual under "Cyclic Window Ordering").  I don't see how
saying that would be of any help to users of this function.
Describing the order would require a non-trivial amount of text, so
without a good reason, I don't think we should add it.